import * as NodeList from '../NodeList';
import { P2P as P2PTypes, StateManager } from '@shardeum-foundation/lib-types';
import { Signature, hexstring } from '@shardeum-foundation/lib-crypto-utils';
export interface ArchiverCycleResponse {
    cycleInfo: P2PTypes.CycleCreatorTypes.CycleData[];
    sign: Signature;
}
export declare let currentCycleDuration: number;
export declare let lastProcessedMetaData: number;
export declare const CycleChain: Map<P2PTypes.CycleCreatorTypes.CycleData['counter'], P2PTypes.CycleCreatorTypes.CycleData>;
export declare const removedAndApopedNodes: any[];
export declare let cycleRecordWithShutDownMode: P2PTypes.CycleCreatorTypes.CycleRecord;
export declare let currentNetworkMode: P2PTypes.ModesTypes.Record['mode'];
export declare const shardValuesByCycle: Map<number, StateManager.shardFunctionTypes.CycleShardData>;
export declare function processCycles(cycles: P2PTypes.CycleCreatorTypes.CycleData[]): Promise<void>;
export declare function getCurrentCycleCounter(): number;
export declare function getCurrentCycleMarker(): hexstring;
export declare function setCurrentCycleDuration(duration: number): void;
export declare function setCurrentCycleCounter(value: number): void;
export declare function setCurrentCycleMarker(value: hexstring): void;
export declare function setLastProcessedMetaDataCounter(value: number): void;
export declare function changeNetworkMode(newMode: P2PTypes.ModesTypes.Record['mode']): void;
export declare function computeCycleMarker(fields: P2PTypes.CycleCreatorTypes.CycleRecord): string;
export declare function validateCycle(prev: P2PTypes.CycleCreatorTypes.CycleData, next: P2PTypes.CycleCreatorTypes.CycleData): boolean;
export declare const validateCycleData: (cycleRecord: P2PTypes.CycleCreatorTypes.CycleData) => boolean;
export declare function setShutdownCycleRecord(cycleRecord: P2PTypes.CycleCreatorTypes.CycleData): void;
interface P2PNode {
    publicKey: string;
    externalIp: string;
    externalPort: number;
    internalIp: string;
    internalPort: number;
    address: string;
    joinRequestTimestamp: number;
    activeTimestamp: number;
}
export interface JoinedConsensor extends P2PNode {
    id: string;
    cycleJoined: string;
}
export declare function fetchCycleRecords(start: number, end: number): Promise<P2PTypes.CycleCreatorTypes.CycleData[]>;
export declare function getNewestCycleFromConsensors(activeNodes: NodeList.ConsensusNodeInfo[]): Promise<P2PTypes.CycleCreatorTypes.CycleData>;
export declare function getNewestCycleFromArchivers(): Promise<P2PTypes.CycleCreatorTypes.CycleData>;
export declare function recordArchiversReputation(): Promise<void>;
export declare const cleanShardCycleData: (cycleNumber: number) => void;
export declare function getLatestCycleRecords(count: number): Promise<ArchiverCycleResponse>;
export {};
