import * as State from '../State';
import { Signature } from '@shardeum-foundation/lib-crypto-utils';
import { P2P as P2PTypes } from '@shardeum-foundation/lib-types';
export declare let adjacentArchivers: State.ArchiverNodeInfo[];
export declare enum DataType {
    RECEIPT = "RECEIPT",
    ORIGINAL_TX_DATA = "ORIGINAL_TX_DATA",
    CYCLE = "CYCLE"
}
export type TxData = {
    txId: string;
    timestamp: number;
};
export interface GossipData {
    dataType: DataType;
    data: TxData[] | P2PTypes.CycleCreatorTypes.CycleData[];
    sign: Signature;
}
export declare const getAdjacentLeftAndRightArchivers: () => void;
export declare function sendDataToAdjacentArchivers(dataType: DataType, data: GossipData['data']): Promise<void>;
