/**
 * ProcessedTransaction stores transactions which have a receipt
 */
export interface ProcessedTransaction {
    txId: string;
    cycle: number;
    txTimestamp: number;
    applyTimestamp: number;
}
export declare function insertProcessedTx(processedTx: ProcessedTransaction): Promise<void>;
export declare function bulkInsertProcessedTxs(processedTxs: ProcessedTransaction[]): Promise<void>;
export declare function queryProcessedTxByTxId(txId: string): Promise<ProcessedTransaction>;
export declare function queryProcessedTxsByCycleNumber(cycleNumber: number): Promise<ProcessedTransaction[]>;
export declare function querySortedTxsBetweenCycleRange(startCycle: number, endCycle: number): Promise<string[]>;
