import { ArchiverReceipt, Receipt } from '../dbstore/receipts';
export interface SetGlobalTxValue {
    isInternalTx: boolean;
    internalTXType: InternalTXType;
    timestamp: number;
    from: string;
    change: {
        cycle: number;
        change: object;
    };
}
export declare enum InternalTXType {
    SetGlobalCodeBytes = 0,
    InitNetwork = 1,
    NodeReward = 2,
    ChangeConfig = 3,
    ApplyChangeConfig = 4,
    SetCertTime = 5,
    Stake = 6,
    Unstake = 7,
    InitRewardTimes = 8,
    ClaimReward = 9,
    ChangeNetworkParam = 10,
    ApplyNetworkParam = 11,
    Penalty = 12,
    TransferFromSecureAccount = 13
}
export declare const verifyGlobalTxAccountChange: (receipt: ArchiverReceipt | Receipt, failedReasons?: any[], nestedCounterMessages?: any[]) => boolean;
